commit 12e1cfcb1649e2ea213c2965adf8479f1cff06f7
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Apr 2 22:08:40 2023 +0100

    tidying

diff --git a/src/src/daemon.c b/src/src/daemon.c
index caed44bb3..8ceeac3a6 100644
--- a/src/src/daemon.c
+++ b/src/src/daemon.c
@@ -1691,7 +1691,6 @@ int listen_socket_count = 0, poll_fd_count;
 ip_address_item * addresses = NULL;
 time_t last_connection_time = (time_t)0;
 int local_queue_run_max = 0;
-BOOL queue_run_max_has_dollar;
 
 if (is_multiple_qrun())
 
diff --git a/src/src/expand.c b/src/src/expand.c
index 9f80439cb..fe0fd1469 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -27,13 +27,6 @@ typedef unsigned esi_flags;
 # ifndef SUPPORT_CRYPTEQ
 #  define SUPPORT_CRYPTEQ
 # endif
-#else
-
-/* Recursively called function */
-
-static uschar *expand_string_internal(const uschar *, esi_flags, const uschar **, BOOL *, BOOL *);
-static int_eximarith_t expanded_string_integer(const uschar *, BOOL);
-
 #endif	/*!STAND_ALONE*/
 
 #ifdef LOOKUP_LDAP
@@ -942,6 +935,10 @@ static uschar *mtable_sticky[] =
 #define FH_WANT_RAW	BIT(1)
 #define FH_WANT_LIST	BIT(2)
 
+/* Recursively called function */
+static uschar *expand_string_internal(const uschar *, esi_flags, const uschar **, BOOL *, BOOL *);
+static int_eximarith_t expanded_string_integer(const uschar *, BOOL);
+
 
 /*************************************************
 *           Tables for UTF-8 support             *
diff --git a/src/src/regex_cache.c b/src/src/regex_cache.c
index 1ca3c96d5..91ca8ca02 100644
--- a/src/src/regex_cache.c
+++ b/src/src/regex_cache.c
@@ -92,11 +92,9 @@ return node ? node->data.ptr : NULL;
 static void
 regex_to_cache(const uschar * key, BOOL caseless, const pcre2_code * cre)
 {
-PCRE2_SIZE srelen;
-uschar * sre;
-tree_node * node;
 
-node = store_get(sizeof(tree_node) + Ustrlen(key) + 1, key);	/* we are called with STORE_PERM */
+/* we are called with STORE_PERM */
+tree_node * node = store_get(sizeof(tree_node) + Ustrlen(key) + 1, key);
 Ustrcpy(node->name, key);
 node->data.ptr = (void *)cre;
 

